/**********************************************************************
* File: f2808_BIOS_flash.cmd -- Linker command file for DSP/BIOS code
* with DSP in Boot to Flash boot mode.
*
* History: 02/11/04 - original (D. Alter)
**********************************************************************/


/**************************************************************/
/* Link all user defined sections                             */
/**************************************************************/
SECTIONS
{
/*** User Defined Sections ***/
   codestart         : > BEGIN_FLASH,       PAGE = 0        /* Used by file CodeStartBranch.asm */
   csm_rsvd          : > CSM_RSVD,          PAGE = 0        /* Used by file passwords.asm */
   passwords         : > PASSWORDS,         PAGE = 0        /* Used by file passwords.asm */

   /* Section secureRamFuncs used by file SysCtrl.c */ 
   secureRamFuncs    :   LOAD = FLASH_ABCD, PAGE = 0        /* Should be Flash */ 
                         RUN = L0SARAM,     PAGE = 0        /* Must be CSM secured RAM */
                         LOAD_START(_secureRamFuncs_loadstart),
                         LOAD_END(_secureRamFuncs_loadend),
                         RUN_START(_secureRamFuncs_runstart)
}

/******************* end of file ************************/
